"""Global app logger"""

import sys
from loguru import logger

from .settings import logging_settings as settings

LOGGER_FORMAT = (
    "<green>{time:YY-MM-DD HH:mm:ss.SSS}</green> | "
    "<level>{level: <8}</level> | {extra} | "
    "<level>{message}</level> "
)

logger.remove()

if sys.stderr is not None:
    logger.add(
        sys.stderr,
        level=settings.level.upper(),
        format=LOGGER_FORMAT,
        serialize=settings.serialize,
        enqueue=True,  # process logs in background
        diagnose=False,  # hide variable values in log backtrace
    )
